shishi_hostkeys_for_server(3)

NAME
shishi_hostkeys_for_server - API function

SYNOPSIS
#include <shishi.h>

Shishi_key * shishi_hostkeys_for_server(Shishi * handle, const char * server);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

const char * server
    server name to get key for

DESCRIPTION
Get host key for server.

RETURN VALUE
Returns the key for specific server, read from the default host keys file (see shishi_hostkeys_default_file()), or NULL if no key could be found or an error encountered.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.